# 82. क्वेरी: सब्सक्रिप्शन इवेंट्स पुनर्स्थापित करें

सबसे अच्छा अभ्यास यह है कि डिलीवर किए गए बनाम उत्पन्न सब्सक्रिप्शन इवेंट्स को पुनर्स्थापित/पुनःजांच करने की संभावना हो। इसलिए GeoPard सभी उत्पन्न सब्सक्रिप्शन इवेंट्स का इतिहास संग्रहित करता है **पिछले 12 महीने**.&#x20;

सामान्य मामलों में:&#x20;

* इंटरनेट कनेक्शन खराब है और इवेंट्स डिलीवर नहीं हुए
* WebSocket लिस्नर का फिर से तैनात करना
* प्राप्त बनाम उत्पन्न इवेंट्स की संगति की जाँच करें

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        क्रिया
        nodePath {
          इकाई
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

समर्थित इनपुट फ़िल्टर्स:

* `dateFrom` ISO 8601 प्रारूप में datetime के रूप में (उदा: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` ISO 8601 प्रारूप में datetime के रूप में (उदा: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` खोजने के लिए "Farm" UUIDs की सूची के रूप में
* `fieldUuids` खोजने के लिए "Field" UUIDs की सूची के रूप में&#x20;
* `userUuids` "User" UUIDs की एक सरणी जिसे खोजा जाना है
* `eventUuids` सब्सक्रिप्शन "Event" UUIDs की सूची के रूप में

{% hint style="info" %}
सभी फ़िल्टर तार्किक के रूप में काम करते हैं **AND**.
{% endhint %}

{% hint style="info" %}
प्रत्येक सब्सक्रिप्शन इवेंट का एक गुण होता है `executionDate` जो AWSDateTime प्रारूप में भेजे जाने के क्षण से जुड़ा होता है और ISO 8601 DateTime के अनुकूल है।
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/82..md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
